歷史更新記錄

標記說明：

+ 增加新功能。

# 新增加的功能，但還不完善，僅僅是開始。

- 刪除舊的功能。

* 修正錯誤。

! 發現的問題，但仍未修正。

^ 計畫要完成的功能。

2015.08.15 V1.0.7

+ 增加代碼格式化專家，目前只支持 Pascal 代碼，默認熱鍵 Ctrl+W。

+ 增加鼠標移動到編輯器縱向滾動條上時顯示預覽窗口的功能，默認禁用。

* 工程備份支持 FMX 的窗體文件，支持註釋。

* 函數列表專家支持顯示寬字符變量名。

* 函數列表工具欄修正 XE4 或以上版本無法拖動改變下拉框寬度的問題，點擊下拉時自動選中當前函數。

* 引用單元清理增加處理間接引用單元的選項，修正保存的單元名可能包含回車換行的問題。

* 批量處理組件前綴時允許根據 Action 與 Field 名進行自動匹配處理。

* 代碼編輯器專家更名為編碼工具集。

* F2 改名中的標識符支持點號。

* 腳本專家增加對設計器窗體右鍵菜單的支持。增加一批例子。

* CnDebugViewer 允許多選複製，修正多線程啟動時可能出錯的問題。

* CnDebug 增加一批輸出接口。

* 其它的錯誤修正和改進。

2015.04.08 V1.0.6

+ 增加對 RAD Studio XE 8 的支持。

* 編輯器專家的打開文件功能增加部分匹配文件名的功能。

* 編輯器擴展增加禁止光標超出行尾的選項，默認禁用。

* 代碼嵌入增加 {(*} 與 {*)} 格式化忽略項。

* 窗體列表支持顯示 FMX 窗體的標題。

* F2 修改標識符功能支持 C/C++ 文件。

* HTML 代碼格式化輸出增加對 UTF-8 編碼的支持。

* 腳本專家修正 ToolsAPI 單元在各個版本 IDE 下的兼容性問題。

* 引用清理、組替換、代碼輸入助手等修正 Unicode 環境下存在中文註釋時可能造成亂碼或錯位的問題。

* 其它的錯誤修正和改進。

2015.01.31 V1.0.5

* 支持 RAD Studio XE 7 Update 1。

* TabOrder 專家增加對 FMX 設計器的支持。

* 專家設置窗口支持重置單個專家的設置。

* 代碼輸入助手支持在 Uses 區輸入點號彈出，允許自定義標識符自定義 Pascal 或 C/C++ 支持。

* 代碼高亮增加光標下配對的條件編譯指令的高亮顯示。

* 版本擴展允許自定義插入的編譯時刻格式。

* 窗口置頂與折疊專家修正標題欄按鈕在Aero主題下的顯示問題。

* 選擇塊浮動菜單項中增加刪除註釋的入口。

* 刪除註釋專家修正對 UTF8 處理可能亂碼的問題。

* 前進後退擴展修正 IDE 工具欄鎖定時顯示可能不完全的問題。

* 主窗體擴展增加退出時延時改名 EditorLineEnds.ttr 文件以躲避 IDE 無法重複啟動的 Bug。

* 其它的錯誤修正和改進。

2014.10.01 V1.0.4

+ 增加對 RAD Studio XE 7 的支持。

* 使用 DDetours 進行 Hook 以解決與其他專家包衝突的問題，但默認禁用。

* 源碼模板增加 UnitPath 宏供輸入當前 Unit 的所在路徑。

* 代碼高亮優化高亮當前標識符的性能。

* 代碼高亮修正代碼折疊時空行分隔線顯示不正確的問題。

* 前進後退擴展修正 BDS 下啟動後顯示不完全的問題。

* 其它的錯誤修正和改進。

2014.08.15 V1.0.3

+ 增加對 RAD Studio XE 6 的支持。

* 代碼高亮修正一處特殊字符以及局部變量包含record聲明時解析錯誤的問題。

* 其它的錯誤修正和改進。

2014.01.01 V1.0.2

+ 增加對 RAD Studio XE 5 的支持。

+ 代碼輸入助手支持 C++Builder 5/6。

* 前進後退擴展支持 BDS 的工具欄跳轉按鈕。

* 引用單元清理修正一處末尾字符錯亂的問題。

* BDS 下高亮當前標識符功能修正一處使用某些等寬字體時錯位的問題。

* 其它的錯誤修正和改進。

2013.08.01 V1.0.1

+ 增加對 RAD Studio XE 4 的支持。

+ 代碼高亮增加高亮流程控制語句的功能。

+ 代碼高亮增加分隔線的線型設置對話框。

* 代碼輸入助手優化BDS下的性能，並部分優化XE2以上版本中對帶點號的單元名的支持。

* 組件轉換至代碼增加對FMX的支持。

* 版本擴展修正XE/XE2/XE3下自動增加Build號失效的問題。

* 其它的錯誤修正和改進。

2012.12.21 V1.0.0

+ 增加對 RAD Studio XE 3 的支持。

+ 代碼高亮增加在函數間的空行上繪製分隔線的功能，默認禁用。

+ 代碼編輯器專家增加跳至前後標識符的功能，默認熱鍵Ctrl+Alt+上下箭頭。

* 窗體設計專家支持 FMX 設計器。

* 清理引用單元修正 XE2 Update1 後帶來的dcu格式不兼容的問題。

* 優化對帶點號的單元名的支持。

* 函數工具欄增加保存列表框寬度並恢復的機制。

* 函數列表增加對Pascal中模板類聲明的支持。

* 專家設置窗口增加查找輸入框以快速定位相關專家與編輯器。

* 支持XE2 Update 4，因兼容性原因不支持Update1/2/3。

* 其它的錯誤修正和改進。

2011.10.01 V0.9.9

+ 增加對 RAD Studio XE 2 的支持。

+ 增加 ImageList 的組件編輯器，支持 Alpha 通道與在線搜索圖標。

* 代碼高亮修正 Delphi 2009 以及以上版本中 Tab 鍵導致錯位的問題。

* 編輯器擴展加入行首尾按左右鍵折行的功能，默認禁用。

* Delphi 2009 以及以上版的腳本引擎更新至最新版本。

* 浮動屬性工具欄允許字符串屬性調用字符串屬性編輯器。

* 其它的錯誤修正和改進。

2011.06.06 V0.9.8

* 單元清理增加對D2011的兼容。

* 字符串屬性編輯器增加對WideString類型的支持。

* 嚮導專家修正一處Unicode環境下生成內容末尾字符串不完整的問題。

* 代碼高亮修正快捷鍵未保存的問題。

* 工程擴展修正D2011下可能無法定位工程輸出目錄的問題。

* 源碼格式輸出修正Delphi 2010/2011 下選擇區包含漢字時帶格式複製可能亂碼的問題。

* 腳本專家增加部分新接口與例子。

* 其它的錯誤修正和改進。

2010.10.01 V0.9.7

+ 新增對 RAD Studio 2011 的支持。

* 修正代碼中存在漢字時源碼高亮與F2標識符更名功能可能錯亂的問題。

* 腳本專家和批量文件替換專家增加對 RegExpr 的支持。

* 減少 BDS 下對 CPU 的佔用率。

* 修正 Ascii Chart 的顯示錯誤。

* 部分工具改用 D7 編譯，避免殺毒軟件誤報病毒。

* 其它的錯誤修正和改進。

2010.05.01 V0.9.6

+ 新增源閱讀專家。

+ 多語包增加俄語和德語支援，語言檔改用utf-8格式。

- 不再支持 Win98。

* 修正 Win7/Vista 下專家設置導入工具無法導入資料的問題。

* 工程備份功能中壓縮包檔案名增加相對路徑的支援。

* 修正 CnDebugger 新開視窗會堵塞調用進程的問題。

* 其它的錯誤修正和改進。

2010.01.01 V0.9.5

* 高亮當前識別字增加前景色與邊框色的設置。

* 引用單元清理修正對inline處理失敗的問題。

* 增加將IDE設置為單核方式運行的選項。

* 修正BDS的嵌入式設計介面編輯器工具列設置未保存的問題。

* 在BDS的嵌入式設計介面增加編輯器工具列。

* 編輯器擴展修正複製並追加功能在D2010下導致亂碼的問題。

* 其它的錯誤修正和改進。

2009.09.14 V0.9.4

+ 增加對 Delphi 2010 的支持。

+ 增加對 Vista/Windows 7 的支持。

+ 行號增加對 BDS 的支持。

+ 為 BDS 表單設計介面增加工具列。

* 輸入助手增加在特定按鍵序列後彈出的機制。

* 表單單元函數清單等搜索時增加對規則運算式的支援。

* 編輯器擴展修正函數頭部begin後會自動輸入多餘end的問題。

* 源碼統計修正一處功能表事件錯誤的問題。

* 代碼高亮優化對C/C++檔的支持。

* CnDebugViewer修正一處退出時可能出錯的問題。

* 其它的錯誤修正和改進。

2009.08.01 V0.9.3

+ 組件選擇工具增加按事件過濾的功能。

* 更新日常升級檢查模式，?明中加入隱私保護的說明。

* 代碼高亮增加配色方案的導入匯出機制。

* 代碼高亮優化對回車換行的處理，避免不正確的回車換行引發行繪製偏差。

* 代碼高亮修正對當前嵌套子過程判斷可能不正確的問題。

* 編輯器標籤頁修正Delphi 6/C++Builder 6下多行時不能改變高度的問題。

* 修正C++Builder中打開表單時可能未打開對應Cpp文件的問題。

* MessageBox專家修正一處C++Builder下生成代碼可能不正確的問題。

* 修正MSDN專家可能導致IDE關閉時AV的問題。

* 修正首碼專家在D2009下重命名不支援Unicode字元的問題。

* 修正設置Persistent Blocks時助手可能失效的問題。

* 其它的錯誤修正和改進。

2009.06.30 V0.9.2

+ 代碼輸入助手使用 IDE 的自動完成來模擬對 C++Builder 5/6 的支持。

+ 代碼高亮與畫線增加對 C++Builder 的支持。

+ 函數清單工具列增加對 C++Builder 的支援。

+ 跳轉至匹配關鍵字增加對 C++Builder 的支持。

+ 函數清單工具列優化下拉與搜索模式。

+ 編輯器擴展增加 begin 後回車時自動輸入 end 的功能。

+ 代碼輸入助手增加一忽略空格的選項。

+ TabOrder 專家增加對 BidiMode 的自動適應。

* 其它的錯誤修正和改進。

2009.04.04 V0.9.1

+ 代碼高亮增加高亮當前行背景色的功能。

+ 編輯器擴展增加 F2 游標下識別字改名的功能。

+ 編輯器擴展增加輸入分號移動至行尾的功能，默認禁用。

+ 刪除注釋專家增加對目錄的處理，增加合併空行的選項。

+ 腳本專家增加對 Delphi 2009 的支援，增加部分示例。

+ 表單設計專家增加 F2 修改選中組件名稱的機制。

* ?明檔優化圖像減少體積。

* 專家包停靠表單增加記憶大小與位置的機制。

* 批量替換與引用單元清理修正 Delphi 2009 下可能導致亂碼的問題。

* Hint 屬性編輯器增加對 Delphi 2009 下 CustomHint 的支援。

* 代碼高亮優化對匿名方法的支援。

* 其它的錯誤修正和改進。

2008.12.09 V0.9.0

+ 代碼編輯器專家增加跳至游標下匹配關鍵字的功能，默認熱鍵“Ctrl+,”。

+ MessageBox 專家增加對 MessageDlg 函數的支援。

+ 函數過程清單增加對 C/C++ 的類的支持，以及其它更新。

* 清理引用單元增加對 Delphi 2009 的支持。

* 編輯器浮動工具按鈕修補一處快速鍵失效的問題。

* 浮動工具條躲開 Delphi 2009 下一處 VCL Bug 引發的失去回應的問題。

* 函數過程清單增加可拖動改變尺寸的機制。

* MSDN 專家修正不支持 MSDN Oct 2001 的問題。

* 源碼模版中增加一表示當前方法名的宏。

* 代碼高亮修正一處背景色改變後未立即更新的問題，調整對話方塊佈局。

* 其它的錯誤修正和改進。

2008.11.01 V0.8.9

+ 增加對 Delphi 2009 的支持，只支持 12.0.3170.16989 及以上版本。部分功能暫時禁用。

+ 代碼高亮增加當前游標處識別字背景色高亮的功能，默認禁用。

+ 增加函數清單編輯器工具列，目前只支援 Pascal 檔。

+ 代碼帶格式輸出增加對 C/C++ 檔的支援，允許指定編碼。

* 元件首碼專家增加對Form等設計器改名的支持。

* 代碼編輯擴展修正某些鍵盤配置下打開括弧自動匹配時無法輸入某些特殊字元的問題。

* 源碼比較專家修正BDS下載入記憶體檔時不支援UTF8的問題。

* 轉換為字串功能允許忽略回車分行符號。

* 函數過程清單優化 BDS 下的過濾速度。

* 腳本專家增加部分例子。

* 其它的錯誤修正和改進。

2008.08.08 V0.8.8

- 去除對 Delphi 8 的支持。

+ 代碼高亮增加對 BDS/RAD Studio 的支持。

+ 代碼高亮增加畫線與匹配背景色高亮的功能。

+ 主表單增加鎖定工具列的功能。

* 編輯器全屏增加對BDS的支援。

* 工程備份增加備份完畢後執行外部命令的選項。

* F3 修正未記憶搜索選項的問題，修復與Ctrl+E模式的衝突。

* 備份恢復工具增加對桌面設置檔dsk的處理，修復恢復可能丟失包設置的問題。

* 書簽流覽修正關閉 dpk 時書簽資訊可能未保存的問題。

* 表單單元清單修正工程組中工程檔同名時過濾區分有誤的問題。

* 修復 BCB 下可能無法獲得工程 CPP 檔的問題。

* 腳本專家增加部分例子。

* 其它的錯誤修正和改進。

2008.04.01 V0.8.3

+ 專家包增加源碼模組關係分析工具。

+ 表單設計專家增加列出元件的子功能。

* CnDebugViewer 增加表單位置保存的選項。

* 腳本專家增加一批例子。

* 元件首碼專家修正元件名為類名時首碼與位置不對的問題。

* 引用單元清理修正處理整個工程時可能漏檔的問題。

* 浮動編輯按鈕修正 BDS 下切換頁面時按鈕被禁用導致出錯的問題。

* 浮動工具面板修正多顯示器情況下跨顯示器移動時有局限的問題。

* 編輯器擴展修正 Delphi 2007 的 SQL Window下多彈出不必要的右鍵功能表的問題。

* 代碼輸入助手修正識別字輸出方式為左替換時按回車時替換模式錯誤的問題。

* 修正 BDS 下用 IDE 編輯器處理元件的字串屬性時可能出訪問衝突的問題。

* 編輯器擴展修正 F3 查找時的一些不足。

* 其它的錯誤修正和改進。

2007.12.31 V0.8.2

+ 專家包增加對 RAD Studio 2007 的支持。

+ 專家包增加對 Windows Vista 的支持。

+ 專家包增加 Pascal Script 腳本支持。

+ 專家包增加 IDE 外部專家管理工具。

+ 專家包增加 IDE 封面視窗的顯示標記。

+ 專家包增加獨立的介面語言切換工具。

+ 源碼高亮擴展增加代碼結構高亮功能，只在 Delphi 5 6 7 中有效。

+ 工程擴展專家增加增強的引用單元對話方塊、插入 Frame 對話方塊和被引用單元清單。

+ 專家包增加版本資訊擴展專家，只支援部分 IDE。

+ 編輯器專家增加跳至上、下一資訊行工具與切換引用區工具。

+ 表單設計專家增加元件代碼轉換工具。

+ 增加可由用戶自訂編譯專家原始程式碼的工具 CnCustBuild。

* 輸入助手增加對 BDS/RAD Studio 的支援，部分性能優化。

* 過程函數清單增加對 Pascal 的類、屬性等的支援。

* 編輯器擴展增加自動保存、自動括弧匹配和編輯器標籤多行設置的功能，默認關閉。

* 專家包修正部分平臺下多語亂碼的問題。

* 修正專家包和TNT等控制項衝突的問題。

* 組件面板增加設置成平面按鈕風格的選項。

* 屬性修改器增加對十六進位顏色值和物件屬性的支援，改為支持多選。

* 元件首碼專家增強對繼承表單和粘貼元件的支援。

* 表單設計專家增加 BDS 2006 下對設計期輔助線的切換功能。

* 檔案管理員更改表單佈局和部分篩檢程式。

* 編輯器右鍵功能表中增加複製完整路徑名檔案名的功能。

* 工程備份功能增加對外部壓縮程式的支援。

* 編輯器擴展增加自動輸入匹配括弧的功能，默認關閉。

* 切換注釋工具增加移動到下一行的選項，預設關閉。

* 修正按 Alt+G 定位行號後鍵盤輸入失效及其它按鍵衝突問題。

* FastCode 專家在檢查到 DelphiSpeedUp 時自動禁用以避免衝突。

* 修正啟動 BDS 2006 後自動縮進功能被禁用的問題。

* MessageBox 專家修正範本名重複的問題。

* 首碼專家修正重命名視窗中複製粘貼快速鍵無效的問題。

* CnDebug 增加跨會話的支援與輸出到檔的支援，增加部分記錄方法和運行期顯示物件資訊的功能（需要定義SUPPORT_EVALUATE）。

* CnDebugViewer 效率改進，增加從檔讀入、選項設置和對 OutputDebugString 的支援。

* 其它的錯誤修正和改進。

2006.10.01 V0.8.1

+ 專家包增加 FastCode IDE 優化專家。

+ 專家包增加 IDE 設置備份恢復工具。

+ 單元引用清理增加對 BDS 2005 2006 的支持。

+ 浮動工具面板增加對 BDS 2005 2006 的部分支援。

+ 編輯器工具列增加對 BDS 2005 2006 的支持。

+ 專家包增加對 Update Pack 的版本檢測提示。

+ 增加獨立運行的 ASCII 字元表工具。

+ 元件面板增加查找元件的功能。

* 專家包更換部分圖示。

* CnDebug 增加對 C++Builder 的支持。

* 組件選擇器和排列不可視組件增加對 DataModule 的支援。

* 元件首碼專家增加根據 Action 名稱和 DataField 屬性值進行更名的功能。

* 帶格式代碼輸出增加對 RTF 的支援。

* 修正 BCB 下打開表單時 CPP 檔可能不可見的問題。

* 修正 BDS 下 HTML 複製時可能亂碼的問題。

* 修正 CnDebugViewer 關閉時可能出訪問衝突的問題。

* 修正 CnDebugViewer 載入 XML 記錄檔時換行丟失的問題。

* 修正工程備份密碼保存的問題，和以前不相容。

* 修正排列不可視元件中誤禁用了行列間距之一的問題。

* 修正代碼全屏工具中主表單尺寸改變時可能導致無法彈出的問題。

* 編輯器擴展中檔修改加星號的功能改用計時器檢查以降低 CPU 佔用。

* 其它的錯誤修正和改進。

2006.08.15 V0.8.0

+ 專家包增加對 BDS 2006 的支持。

+ 專家包增加 CnDebug / CnDebugViewer 調試資訊工具。

+ 增加在過程內部和區域變數區域移動游標的初步功能，默認熱鍵 Ctrl+Shift+V。

+ 編輯器專家增加插入日期時間工具。

+ 編輯器擴展增加 F3/Shift+F3 搜索選中文字的功能。

+ 檔案管理員專家增加創建資料夾的功能。

* 單元引用清理修正不支援帶多個句點的檔案名的問題。

* IDE主表單擴展增加右鍵 Tabs 功能表折疊的功能。

* 打開歷史檔增加自動保存檔清單記錄的功能。

* 源碼統計修正對 bdsproj 與 dpk 的支持。

* 單元引用清理允許使用者只處理當前打開的單元。

* 元件首碼專家修正修改元件名大小寫失效及與某些輸入法衝突的問題。

* 屬性修改器修正字串比較時誤忽略了前後空格的問題。

* 過程列表修正排序處理問題等。

* MSDN 專家修正無法獲取完整 MSDN 註冊資訊的錯誤。

* 安裝程式不再包含圖示目錄，改用資源DLL代替。

* 輸入助手按//時不再自動彈出，提高自動調頻速度及其它改進。

* 其它的錯誤修正和改進。

2005.11.13 V0.7.9

+ 增加 IDE 增強設置專家，方便對 IDE 增強專家快速設置。

+ 工程擴展中增加工程備份功能。

+ 編輯器擴展增加自動縮進和 Home 擴展功能。

+ 組件面板及其它擴展升級為 IDE 主表單擴展專家。

+ IDE 主表單擴展專家增加將協力廠商工具功能表移到子功能表下的功能。

+ 增加將 CnPack 菜單集成到 Tools 下的設置。

+ 增加使用 IDE 的 -cnregXXXX 命令列參數來指定專家註冊表基鍵的功能。

* 選擇塊按鈕增加 Web 搜索功能。

* MSDN 專家增加對 MSDN 2005 的支持。

* 將高亮功能單獨移為新的專家，修正括弧高亮的小問題。

* 改進過程清單的性能，增加可選擇多個其他檔的功能與對介面的支援。

* 元件首碼專家修正只修改元件名大小寫不會生效的問題。

* 輸入助手修正彈出熱鍵不能保存及 D2005 下可能失效等問題，增加新的代碼範本。

* 修正注釋工具等執行後可能導致中斷點行變化的問題。

* 修正浮動屬性編輯器用 Ctrl+Tab 切換視窗時出錯的問題及其它改進。

* 解決 D7 等 IDE 下 CnPack 功能表項目可能需要點擊才能下拉的問題。

* 其它的錯誤修正和改進。

2005.08.31 V0.7.8

+ 增加引用單元清理工具（僅支援 D5/6/7）。

+ 從編輯器專家中分離出源碼範本專家。

* 表單設計專家增加按指定間距排列控制項功能。

* 修正括弧高亮匹配刷新不正確及影響塊操作和撤銷操作的問題。

* 浮動屬性編輯條增加 Tab/Ctrl+Tab 支援及其它改進。

* 修正智慧剪切後視圖未刷新的問題。

* 函數過程清單增加顯示時定位當前過程的功能。

* 配置導入匯出工具修正使用者目錄不存在時出錯的問題。

* 修正 C++Builder6 中當顯示標頭檔時一些工具工作不正常的問題。

* 修正字串屬性編輯器可能覆蓋系統編輯器的問題。

* 源碼統計工具修正 C++Builder 下不支持標頭檔的問題。

* 輸入助手增加函數參數提示功能。

* 元件首碼專家修正可能會彈出空清單視窗的問題。

* 修正MSDN專家可能導致退出IDE時異常的問題。

* IDE 歷史清理工具增加對 D8/2005 的支持及其它改進。

* 修正其它已知錯誤。

2005.08.16 V0.7.7

+ 代碼編輯器擴展增加括弧匹配高亮功能。

+ 表單設計器擴展增加浮動屬性編輯條功能。

+ 編輯器專家增加插入顏色工具。

+ 編輯器專家增加收集面板工具。

* 書簽流覽改成 IDE 可停靠視窗，支援自動刷新清單，增加刪除書簽功能。

* 修正輸入助手可能會導致 IDE 代碼範本失效的問題。

* 代碼全屏切換允許在取消全屏時恢復為常規視窗。

* 調整屬性編輯器註冊內容，以減少相容問題。

* 元件首碼工具修正對繼承視窗會重複處理的問題。

* 在歷史檔中打開工程改為創建新的工程組以及其它改進。

* 修正其它已知的問題及功能改進。

2005.07.18 V0.7.6

* MessageBox專家中增加判斷文本是否變數名的功能。

* 增加Ctrl/Shift加右擊標籤彈出Shell功能表的功能。

* 清除暫存檔案增加對工程組的支援。

* 修正元件面板多行切換後代碼全屏可能導致主表單高度不對的問題。

* 輸入助手修正在非英文鍵盤配置中會導致重音鍵失效的問題。

* 升級檢測中使用最新版本時提示查看自動構建版。

* 輸入助手允許修改部分預定義的清單，增加恢復默認列表功能。

2005.07.09 V0.7.5

+ 新增完整的英文 CHM 幫助檔。

+ 工程擴展工具增加工程目錄創建器工具。

+ 選擇塊按鈕新增組替換功能。

* 輸入助手大量改進和錯誤修正，支援編譯指示字、XML 和 JavaDoc 注釋輸入，支援自訂符號及範本等。

* 元件首碼專家大量改進，支援批量重命名模式等。

* 代碼嵌入增加自訂功能和快速鍵支援。

* 代碼編輯器擴展增加智慧複製粘貼功能。

* 屬性修改器修正 BPL 搜索時打開 DCP 等文件失效的問題。

* 修正其它已知的問題及功能改進。

2005.05.29 V0.7.4

* 修改 CnWizards 的發佈協議。

+ 增加控制項名屬性編輯器，使用首碼專家的功能。

* 元件首碼專家增加修改首碼時顯示控制項標題的功能及其它改進。

* 複製組件名稱後自動切換到代碼編輯器。

* 修正與 siLang 的衝突問題。

* 修正升級檢查時因網路問題導致連接失敗時出錯的問題。

+ 增加少量英文?明內容。

2005.04.03 V0.7.3

+ 增加對 Delphi8/BDS2005 的支持（測試階段）。

+ 新增過程函數清單功能。

+ 代碼編輯器專家增加縮進和反縮進倆小工具。

+ 增加繁體中文的CHM?明檔，改進繁體語言的術語。

+ 新增 IDE 打開檔歷史清理工具。

* 代碼編輯器視窗全屏顯示時增加 IDE 主表單自動隱藏功能。

* 視窗置頂折疊專家增加折疊狀態的保存與恢復功能。

* 表單清單增加顯示標題功能及其它改進。

* 代碼輸入助手增加關閉空白鍵輸出和自動調整優先順序的設置。

* 組件面板多行切換時增加代碼編輯器和屬性編輯器等自動適應高度的功能。

* 修正 Constraints 屬性編輯器與 ThemeEngine 衝突的問題。

* 代碼輸入助手改進編輯大檔時的性能。

* 修正編輯器不使用斜體字時行號顯示會錯位的問題。

* 刪除空行工具修正處理大檔時丟失代碼的問題。

* 修正關於視窗在某些系統中打不開的問題。

* 修正可能導致 CodeRush 等其它工具註冊的屬性及元件編輯器失效的問題。

* 重新使用 IDE 快速鍵註冊方式，解決與 Ctrl+K+U 這類快速鍵衝突的問題。

* 再次修正會導致 DelForEx 快速鍵無法使用的問題。

* 修正行號跳轉後編輯器未重畫的問題。

* 修正其它已知的問題及功能改進。

2005.01.18 V0.7.2

+ 增加編輯器中有代碼選中時提供浮動工具按鈕的功能。

+ 增加在未保存的檔標籤中加上 * 標誌的功能。

+ 增加原始程式碼編輯位置的前進、後退功能。

+ 新增反轉注釋功能，快速鍵為 Ctrl+/。

* 大幅改善專家的啟動速度。

* 大幅提高代碼輸入助手的性能，增加代碼範本支援、自動調整優先順序及其它改進。

* 提高多語言支援的相容性，支援更多的作業系統，修改英文字體為 Tahoma。

* 改進屬性編輯器註冊方式，解決會覆蓋協力廠商註冊的特定屬性編輯器的問題。

* 改進行號顯示，增加更多的設置。

* 改進 INI 讀寫單元生成嚮導，支援 Boolean 類型。

* 單元、表單清單增加圖示顯示功能，修正不支援單獨打開的包檔的問題，以及其它改進。

* 改進快速鍵處理方式，不再依賴於 IDE 提供的鍵盤綁定介面。

* 修正表單設計專家控制項間距調整功能存在的問題。

* 修正上一版本中系統目錄源碼唯讀保護失效的問題。

* 修正 D5 下打開包文件時關閉 IDE 會導致異常的問題。

* 修正其它已知的問題及功能改進。

2004.12.11 V0.7.1

* 浮動工具列支持自訂多工具列及其它改進。

* 修正多處記憶體洩漏及錯誤。

* 表單設計專家增加控制項鎖定及其它控制項位置及大小調整功能。

* 行號顯示修正除零錯，點擊定義書簽從1開始編號。

* 歷史檔快照專家修正功能表項目不能刷新的錯誤。

* 修正編輯器擴展中關閉其它頁面時有未保存的文件會不斷彈框的問題。

* 解決上一版本會導致 DelForEx 快速鍵無法使用的問題。

2004.11.20 V0.7.0

+ 新增代碼輸入助手專家，提高代碼輸入速度，暫時只支援 Delphi5/6/7。

+ 新增窗口置頂及折疊專家。

+ 新增使用 CnMemProf 的 Repository 專家。

+ 代碼編輯器擴展增加行號顯示及書簽操作功能。

+ 代碼編輯器擴展增加系統單元打開時自動唯讀保護功能。

+ 代碼編輯器擴展增加工具列功能。

+ 編輯器專家增加刪除空行工具。

+ 新增 Align 屬性編輯器。

* 將歷史檔快照獨立為單獨的專家。

* 屬性修改器的規則清單中增加排序功能，增加處理所有打開表單的功能。

* 修正與 CodeExpress 的衝突。

* 修正浮動工具面板允許拖動時不在最上定制面板的問題。

* 修正表單設計器擴展導致 Report Machine 裡的控制項屬性不能修改的問題。

* 自動更新檢測改成每天檢查一次。

* 大幅提高切換當前語種時的速度。

* 修正其它的已知錯誤和改進。

2004.06.08 V0.6.9

+ 工程擴展工具中新增打開歷史文件工具和文件快照工具。

+ 關於中增加了“每日一帖”的功能。

+ 代碼編輯器擴展專家中增加了代碼自動完成的熱鍵 Alt+Space，允許自訂熱鍵。

* 優化了 MSDN 工具列的排列與搜索方式；Pas2Html 專家增加對編譯指令的處理。

* 修正大量錯誤和問題。

2004.01.19 V0.6.8

+ 新增移植自 Hhha 的檔案管理員專家，能在 IDE 中模擬 Windows Explorer。

+ 新增 Repository 專家，包括 DUnit 測試用例和 INI 讀寫單元生成專家。

+ 工程擴展專家中增加清除暫存檔案工具。

+ 代碼編輯器專家中新增注釋與取消注釋功能，新增 ASCII 字元表工具。

* 修改當自訂群組件首碼中包含數位時導致新控制項名混亂的問題。

* 專家啟動設置增加 IDE 命令列參數 -nocn 和 -swcn 的處理。

* 修正 BCB 5 下通知器單元中潛在的訪問衝突錯誤。

* 多語完善與改進，修正其他錯誤和問題。

2003.11.26 V0.6.7

+ [多語言版] 新增多語言支援，現支援簡體、繁體中文及英文。

# [IDE 擴展] 新增 Object Inspector 擴展專家，實現非預設值屬性粗體顯示功能（暫時只支援 D5/BCB5）。

+ [MSDN 專家] 增加對 MSDN.NET 的支持及新增工具列。

+ [協助工具] 增加專家引導工具，可以在啟動 IDE 時按下左 Shift 鍵來啟動該工具，用於臨時禁用/啟動專家。

* [協助工具] 增加帶?明的表單用 F1 調出幫助的功能。

* [刪除注釋專家] 增加處理專案原始檔案的選項。

* [工程擴展專家] 修正表單清單及單元清單導致編輯器失去游標的問題，以及其它的改進。

* [屬性編輯器] 修正字串屬性編輯器全部替換可能閉環的錯誤及部分功能改進。

* [IDE 擴展] 修正按 F12 顯示表單時焦點在浮動面板上的問題。

* [IDE 擴展] 修正浮動面板導致 IDE 中其它表單 Stay On Top 無效的問題。

* [IDE 擴展] 修正 Close All 可能導致異常的問題。

* [IDE 擴展] 修正當浮動工具條顯示時 IDE Edit 中大部分功能表不可使用問題。

* [IDE 擴展] 修正組件面板擴展導致面板不接受滑鼠滾輪事件的錯誤。

* [代碼編輯器專家] 修正多個 IDE 同時退出時提示保存衝突的問題。

* [代碼編輯器專家] 修正加入過程頭時，對 Class methods 處理錯誤的問題。

* [原始程式碼統計專家] 修正清空統計結果不完全的小錯誤。

* [屬性修改器] 修正由於刪除已經修改的控制項，引起按兩下定位到該控制項時觸發異常的錯誤。

* [表單設計專家] 修正不可視組件排列有時不能過濾掉 TField 等不可見元件的問題。

* [協助工具] 修正部分對話方塊不能用 ESC 關閉的問題。

* [其它] 修正其它一些已發現的錯誤及部分專家的功能改進。

^ [開發計畫] 另有資源管理專家、代碼編輯器擴展、Explorer 專家、我的最愛專家、MMC 框架嚮導、DUnit 框架嚮導等正在開發中。

2003.08.10 V0.6.6

+ 新增移植自 Aimingoo 的 CPU 代碼視窗擴展專家，允許從 CPU 視窗中複製彙編代碼。

+ 新增高級設置，允許控制專家是否創建，錯誤報告中增加專家創建資訊的報告。

+ 刪除注釋專家增加自訂注釋保留功能，增加對// TODO :格式的todo列表的處理。

* 修正代碼編輯器資料格式問題和專家游標定位不準確的問題。

* 修正 MSDN 專家釋放導致失去回應的問題，完善和優化工程擴展專家。

* 增加部分函數、控制項和代碼，改進其他不足。

2003.07.13 V0.6.5

+ 新增注釋刪除專家，修改 IDE 功能擴展專家的設置方式。

+ 新增 CnPack 功能表排序功能。

+ 工程擴展工具新增掛接 IDE 功能，修改其他小問題。

+ 元件面板擴展專家增加多行設置的功能表項目，修改其他小問題。

* 代碼編輯器專家增加了%Cursor% 宏以代表插入後游標位置。

* TabOrder 專家不再顯示控制項內部的子控制項的標籤。

2003.06.10 V0.6.4

+ 工程擴展工具新增工程組單元、表單清單功能。

* 修正元件面板多行顯示時可能導致工具列混亂的問題。

* 修正元件面板右鍵功能表切換面板沒有切換顯示內容的問題。

* 元件排列對齊功能增加同時處理不同父控制項的功能，改進父居中功能。

* 修正不可視元件排列處理不能排除 TMenuItem 等元件的問題及標題處理錯誤。

* 修正屬性修改專家有時候不能正常工作的問題。

* 新增加更完善的屬性編輯器過濾內容。

* 其它的改進和錯誤修正。

2003.05.27 V0.6.3

# 新增工程擴展工具。

+ CnPack IDE 專家包新增設置資訊導入匯出工具。

+ 新增移植自 Hubdog 的屬性修改器。

+ 新增組件面板增強功能，允許彈出 Tabs 功能表（D5/BCB5），允許組件面板頁分多行顯示。

+ 元件首碼專家中增加底線選項。

+ 控制項對齊縮放專家中改名為表單設計專家，增加水準和垂直居中功能，增加不可視組件控制功能。

+ 屬性編輯器增加屬性過濾設置，可以自訂使用/不使用某個屬性編輯器的屬性名清單。

+ Tab Order 專家新增設置當前打開表單、當前工程、工程組三個功能表項目。

* 修正 Tab Order 專家按中心處理時可能導致的錯誤。

* 修正表單浮動工具面板無法保存刪除按鈕的錯誤及不能自動隱藏的問題。

* 修正其他問題。

2003.05.04 V0.6.2

* 修正表單浮動工具面板不支持 Frame 及不相容 DataModule 的問題。

2003.05.03 V0.6.1

+ 新增組件對齊、縮放專家。

+ 新增表單設計器擴展功能，在設計表單上附加一個浮動工具列，並可定制。

+ ?明功能表中新增“歷史更新記錄”功能表項目。

2003.05.01 V0.6.0

+ 新增代碼編輯器擴展功能，允許按兩下內碼表標籤來關閉頁面，並新增三個右鍵功能表項目。

* 屬性編輯器現在支援動態卸載了。

* 當禁用 Boolean 屬性編輯器時，同時關閉集合編輯器在集合項中顯示檢查框的功能。

* MessageBox 設計器新增 Format 字串支援，新增範本導入匯出功能。

* 修正代碼編輯器範本無法保存插入位置的錯誤。

* 修正使用 Alt+F12 切換表單狀態導致出錯的錯誤。

* 修正元件首碼專家在表單從文本重建時失效的問題。

* 修正元件首碼專家中，將首碼正確的元件複製到其它表單時仍要求改名的錯誤。

* 修正開啟 IDE 後馬上關閉可能導致 IDE 死掉的問題。

* 修改關於菜單，增加多個子功能表項。

2003.04.27 V0.5.9

+ 新增元件首碼專家。

* 修正?明檔連結錯誤。

2003.04.25 V0.5.8

* 修改代碼編輯器範本資料檔案，使用 XML 格式保存（不相容原有資料）。

* 修改專家工具列圖示，使用 XP 風格，並共用同一個圖像清單。

* 修正部分專家子 Action 不能正確更新的錯誤。

* 修正 Delphi 5 不安裝升級包不能顯示關於視窗的問題。

* 修正原始程式碼比較專家顯示小檔時使用滾輪導致異常的問題。

+ 增加目錄選擇對話方塊彈出時選擇預設目錄的功能。

* 修正元件選取專家切換 Tag 範圍類型為“介於”時，第二個編輯方塊不能顯示的錯誤。

* 修正由升級檢測執行緒引起的開啟 IDE 後馬上關閉時可能會導致執行緒控制碼無效的錯誤。

* 修改代碼視窗全屏工具，預設關閉 IDE 啟動後自動將代碼視窗最大化的功能。

2003.04.12 V0.5.7

+ 新增錯誤報告及建議嚮導。

* 完成了 CHM 格式的幫助檔。

* 修正部分專家的少量錯誤。

2003.04.03 V0.5.6

* MessageBox 設計器少量改進。

* 修正原始程式碼統計專家對 C 代碼統計的錯誤，及其它改進和優化。

+ 新增 CHM 格式幫助檔。

+ 新增專家包輔助工具 DFM 表單轉換工具。

2003.03.30 V0.5.5

+ 新增原始程式碼統計專家。

* 修正無法在設置中禁用TabOrder專家的錯誤。

* 修正在 IDE 工具列中放置的專家工具重啟 IDE 後無效的錯誤。

2003.03.25 V0.5.4

+ 新增安裝程式

* 修正專家包少量錯誤

2003.03.23 V0.5.3

+ 新增代碼轉字串編輯器工具。

* 修正屬性編輯器中少量錯誤。

* 修正 Pas2Html 專家處理 "**)" 時陷入閉環及輸出文本無分行符號的問題。

2003.03.22 V0.5.2

+ 將原 CnPack 包中的屬性編輯器移入專家包。

* 修正原始程式碼比較專家部分錯誤。

2003.03.12 V0.5.1

+ 新增原始程式碼比較專家（測試中）。

* MessageBox 專家增加 TopMost 設置。

* 修改編輯器專家預設範本檔案名，這樣升級後使用者範本檔不會被覆蓋。

* 修正其它已知錯誤。

2003.03.09 V0.5.0

+ 增加聯網升級檢測功能

+ Pas2Html專家增加處理所有打開單元的功能，修正檔必須存檔才能轉換的問題。

2003.03.08 V0.4.7

* 修正 MSDN 專家和批量檔替換專家在沒有打開工程時執行非法訪問的 Bug。

* 編輯器專家打開檔工具對話方塊增加歷史檔列表功能。

2003.03.06 V0.4.6

+ 新增批量檔替換專家

* 編輯器專家打開檔工具擴展了路徑搜索範圍，支援工程搜索路徑等

* 編輯器代碼視窗全屏工具增加設置功能，允許啟動時將代碼視窗最大化

2003.03.01 V0.4.5

* 修正 Pas2HTML 專家不支援文本輸出的問題

2003.02.28 V0.4.4

* 修正 Pas2HTML 專家部分錯誤，新增圖示

2003.02.27 V0.4.3

+ 子功能表專家新增工具條按鈕支援

* 修正少量錯誤

2003.02.23 V0.4.2

+ 新增 Pas 代碼 HTML 格式輸出專家

2003.02.17 V0.4.1.Alpha

* 修正書簽專家顯示代碼一處錯誤

* 修改編輯器範本檔案格式，新增導入匯出功能

* 修正其它的錯誤

2003.02.16 V0.4.0.Alpha

+ 新增 MSDN 專家

* 修正了由快速鍵引起的隨機錯誤

2002.12.11 V0.3.10.Alpha

+ 新增一個代碼編輯器子工具：代碼視窗全屏切換工具

* 修正代碼編輯器少量錯誤

2002.12.10 V0.3.9.Alpha

* 修正書簽流覽工具在Win98/Me下RichEdit閃爍的問題

+ 新增?明檔調用介面

2002.12.08 V0.3.8.Alpha

* 調整部分專家的功能

+ 編輯器專家新增兩個子工具

2002.12.05 V0.3.7.Alpha

+ 新增編輯器專家

2002.12.02 V0.3.6.Alpha

* 打開高版本表單工具增加對二進位格式表單的支援。

2002.11.24 V0.3.5.Alpha

* 書簽流覽工具新增自動保存和裝載書簽功能。

2002.11.23 V0.3.4.Alpha

* 重寫了Tab Order專家顯示部分與IDE集成的代碼，並做了較多優化

* 書簽流覽工具新增書簽行原始程式碼高亮功能

2002.11.20 V0.3.3.Alpha

+ 新增書簽流覽工具。

2002.11.17 V0.3.2.Alpha

+ 新增打開高版本表單工具。

2002.10.31 V0.3.1.Alpha

* 增強TabOrder專家功能。

2002.10.17 V0.3.0.Alpha

+ 新增TabOrder專家。

2002.10.03 V0.2.0.Alpha

+ 新增組件選擇專家。

2002.10.01 V0.1.1.Demo

+ 新增設置表單和關於視窗。

2002.09.20 V0.1.0.Demo

+ 創建專家框架和第一個專家MessageBox專家

相關主題

有貢獻人員名單

關於 IDE 專家包

(C)版權所有 2001-2015 CnPack 開發組